package com.flexiblewebsolutions.xmlstringparser.utils;

import java.util.ArrayList;
import java.util.Iterator;

import org.apache.log4j.Logger;

/**
 * Some utils for working with Lists.
 * 
 * @author dgbuss
 */
public class ListUtils {
	private final static Logger logger = Logger.getLogger(ListUtils.class);

	/**
	 * Convert an array list of Strings to a String array
	 * 
	 * @param pList
	 *            List of Strings
	 * @return String array
	 */
	public static String[] convertToStringArray(ArrayList pList) {
		String[] returnObject = null;
		if (pList != null) {
			logger.debug( "List has " + pList.size() + " items." );
			returnObject = new String[pList.size()];
			int counter = 0;
			for (Iterator it = pList.iterator(); it.hasNext();) {
				returnObject[counter] = (String) it.next();
				counter++;
			}
		}
		else
		{
			logger.error( "List was null" );
		}
		return (returnObject);
	}
}